/*-------------------------------------------------------------------------+
| Copyright 2011 fortiss GmbH                                              |
|                                                                          |
| Licensed under the Apache License, Version 2.0 (the "License");          |
| you may not use this file except in compliance with the License.         |
| You may obtain a copy of the License at                                  |
|                                                                          |
|    http://www.apache.org/licenses/LICENSE-2.0                            |
|                                                                          |
| Unless required by applicable law or agreed to in writing, software      |
| distributed under the License is distributed on an "AS IS" BASIS,        |
| WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. |
| See the License for the specific language governing permissions and      |
| limitations under the License.                                           |
+--------------------------------------------------------------------------*/
package org.fortiss.tooling.kernel.extension;

import org.fortiss.tooling.kernel.extension.data.ITopLevelElement;

/**
 * Interface to execute some code once a model has been loaded.
 * A typical example (though it is not implemented through this mechanism) is the migration: right
 * after a model is loaded, we trigger the migration.
 * 
 * @author aravantinos
 */
public interface IEclipseResourcePostLoadProvider {

	/**
	 * Command to run after the given {@link ITopLevelElement} has been loaded.
	 */
	void postModelLoadRun(ITopLevelElement modelElement);
}
