/*-------------------------------------------------------------------------+
|                                                                          |
| Copyright 2005-2011 The ConQAT Project                                   |
|                                                                          |
| Licensed under the Apache License, Version 2.0 (the "License");          |
| you may not use this file except in compliance with the License.         |
| You may obtain a copy of the License at                                  |
|                                                                          |
|    http://www.apache.org/licenses/LICENSE-2.0                            |
|                                                                          |
| Unless required by applicable law or agreed to in writing, software      |
| distributed under the License is distributed on an "AS IS" BASIS,        |
| WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. |
| See the License for the specific language governing permissions and      |
| limitations under the License.                                           |
+-------------------------------------------------------------------------*/
package org.conqat.ide.commons.ui.text;

import org.conqat.lib.commons.string.StringUtils;

/**
 * Label provider returning an empty string as label and the label as tooltip.
 * 
 * @author hummelb
 * @author $Author: deissenb $
 * @version $Rev: 34252 $
 * @levd.rating GREEN Hash: 4B69575AF4C03A6A2435B93E2E94400F
 */
public class EmptyLabelProvider<T> implements ILabelProvider<T> {

	/** {@inheritDoc} */
	public String getLabel(T t) {
		return StringUtils.EMPTY_STRING;
	}

	/** {@inheritDoc} */
	public String getTooltipText(T t) {
		return getLabel(t);
	}
}